Name:           piwik
Version:        2.17.1
Release:        2%{?dist}
Summary:        Web Analytics
License:        GPLv3
Group:          Applications/Internet
URL:            http://piwik.org
Source0:        http://builds.piwik.org/%{name}-%{version}.zip
Source1:        piwik.conf
BuildArch:      noarch
Requires:       webserver

%global datadir %{_datadir}/%{name}

%description
Piwik is the leading open alternative to Google Analytics that gives you full
control over your data. Piwik lets you easily collect data from websites, apps
& the IoT and visualize this data and extract insights. Privacy is built-in.

%prep
%setup -qn %{name}

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{datadir}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/httpd/conf.d
%{__mkdir_p} %{buildroot}%{_localstatedir}/spool/%{name}
 %{__cp} -r config/* %{buildroot}%{_sysconfdir}/%{name}/
for dir in core js lang libs misc plugins tests vendor
do
     %{__cp} -r $dir %{buildroot}%{datadir}
done
for script in bower.json composer.json composer.lock console index.php piwik.js piwik.php
do
    %{__install} $script %{buildroot}%{datadir}
done
ln -s %{_sysconfdir}/%{name} %{buildroot}%{datadir}/config
ln -s %{_localstatedir}/spool/%{name} %{buildroot}%{datadir}/tmp
%{__install} %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/
for file in CHANGELOG.md CONTRIBUTING.md PRIVACY.md README.md SECURITY.md LEGALNOTICE PULL_REQUEST_TEMPLATE
do
    ln -s ../doc/%{name}-%{version}/${file} %{buildroot}%{datadir}/${file}
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG.md CONTRIBUTING.md PRIVACY.md README.md SECURITY.md LEGALNOTICE PULL_REQUEST_TEMPLATE
%attr(0775,apache,apache) %dir %{_sysconfdir}/%{name}
%config(noreplace) %attr(-,apache,apache) %{_sysconfdir}/%{name}/*.php
%config(noreplace) %{_sysconfdir}/%{name}/environment/*.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/piwik.conf
%attr(0775,apache,apache) %{datadir}/tmp
%attr(0775,apache,apache) %{datadir}/config
%attr(0775,apache,apache) %dir %{_localstatedir}/spool/%{name}
%{datadir}

%changelog
* Mon May 15 2017 Didier Fabert <didier.fabert@gmail.com> 2.17.1-2
- Add missing file: PULL_REQUEST_TEMPLATE
- Create symlinks on datadir from docdir
- tmp dir is now in spool var dir

* Sat May 06 2017 Didier Fabert <didier.fabert@gmail.com> 2.17.1-1
- Update from upstream

* Wed Apr 12 2017 Didier Fabert <didier.fabert@gmail.com> 2.17.0-1
- Update from upstream

* Wed Mar 23 2016 Didier Fabert <didier.fabert@gmail.com> 2.16.0-1
- Update from upstream

* Fri Dec 18 2015 Didier Fabert <didier.fabert@gmail.com> 2.15.0-1
- First Release

